import { jsx as i } from "react/jsx-runtime";
import { ActionCardAction as c } from "./index-ActionCardAction.js";
import "react";
import e from "./index-ActionCardActions.module.scss.js";
const l = (n) => {
  let {
    actions: t = []
  } = n;
  return t = t.filter((o) => !!o), i("div", {
    className: e.actionsContainer,
    children: t.map((o, r) => i(c, {
      ...o,
      width: 100 / t.length,
      testId: `ActionCardActionTest${r}`
    }, r))
  });
};
export {
  l as ActionCardActions
};
